-- A3Pv2.6/test2_INC8/Wrap_INC8.vhdl
-- version dim. déc.  8 08:07:34 CET 2019 : forked from INC8_tb.vhdl
--
-- Released under the GNU AGPLv3 license
--
-- slightly altered version to test direct input-to-output connection

Library ieee;
    use ieee.std_logic_1164.all;
Library work;
    use work.all;

entity VG_Wrapper is
  generic (
    VectGenWidthIn : integer :=  9;
    VectGenWidthOut: integer := 10
  );
  port(
    VectIn : in  std_logic_vector(VectGenWidthIn -1 downto 0);
    VectOut: out std_logic_vector(VectGenWidthOut-1 downto 0);
    VectClk: in std_logic
  );
end VG_Wrapper;

architecture Wrap_INC8 of VG_Wrapper is
begin

  dut: entity INC8 port map (
     -- here we "wire" the unit to the Vector Generator ports:
     A => VectIn(7 downto 0),
     Y => VectOut(7 downto 0),
     V => VectOut(8)
  );

  VectOut(9) <= '1';
  VectOut(VectGenWidthOut-1) <= VectIn(8);
end Wrap_INC8;
